/**
 * \file  ReportHelpers.java
 * information: this class emulates the basic logic of  Informix 4GL Report
 * 
 * 
 * created: 15/May/2012
 * (c) 2012 Ispirer Systems
 *
 * \author  Roman Rekun
 */

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Dictionary;
import java.util.Hashtable;
import java.util.Map;

public class ReportHelpers
{
   protected static Map<String, FileWriter> reports;
   protected static File f; 
   public static void Start(String reportName, String fileName)
   {
	   f = new File(fileName);
	   reports = new Hashtable<String, FileWriter>();
		try {
			if(!f.exists())
				f.createNewFile();
			
			reports.put(reportName, new FileWriter(f));
		} catch (IOException e) {
			
			e.printStackTrace();
		}
   }
   public static void Print(String reportName, String message)
   {
	   try {
		reports.get(reportName).write(message);
	   } catch (IOException e) {
		
		e.printStackTrace();
	   }

   }

   public static void Finish(String reportName)
   {
	   try {
		reports.get(reportName).close();
		
	} catch (IOException e) {
		e.printStackTrace();
	}
	   reports.remove(reportName);
   }

}
